﻿using Xamarin.Forms;

namespace XF_DarkLight
{
    public partial class MainPage : ContentPage
    {
        private OSAppTheme currentTheme = Application.Current.RequestedTheme;

        public MainPage()
        {
            InitializeComponent();
        }
        public bool IsChecked { get; set; }
        protected override void OnAppearing()
        {
            base.OnAppearing();
            DisplayAlert("Alert", "O tema atual  é  " + currentTheme, "OK");

            if (currentTheme == OSAppTheme.Light)
            {
                checkLight.IsChecked = true;

            }
            else
            {
                checkDark.IsChecked = true;
            }
        }

        private void OnCheckBoxLight_CheckedChanged(object sender, CheckedChangedEventArgs e)
        {
            if (checkLight.IsChecked)
            {
                Application.Current.UserAppTheme = OSAppTheme.Light;
                checkDark.IsChecked = false;
            }
        }

        private void OnCheckBoxDark_CheckedChanged(object sender, CheckedChangedEventArgs e)
        {
            if (checkDark.IsChecked)
            {
                Application.Current.UserAppTheme = OSAppTheme.Dark;
                checkLight.IsChecked = false;
            }
        }
    }
}
